This is how I am increasing the width for a lwpolyline with ezdxf. How do I do this with a spline?
def line_example(self):
width = 0.1
self.msp.unit1.add_lwpolyline([(-0.5, 0.5, width, width),
(-0.5, -0.5, width, width),
(0.5, -0.5, width, width),
(0.5, 0.5, width, width)])
self.msp.add_blockref(
'UNIT1',
(0, 0),
dxfattribs={
'xscale': .3,
'yscale': .5
})
def spline_example(self):
fit_points = [(0, 0, 0), (750, 500, 0), (1750, 500, 0), (2250, 1250, 0)]
spline = self.msp.add_spline(fit_points)
add_spline
returns a Spline object, which is a subclass of DFXGraphic.The DFXGraphic class has a
linewidth
attribute. So...